Subject: Re: [PATCH v2 1/4] ARM: qcom_defconfig: add msm8974 interconnect support

From: Brian Masney <[email-masked]>
Date: Fri, 8 Nov 2019 19:43:10 -0500

On Thu, Oct 24, 2019 at 06:31:37AM -0400, Brian Masney wrote:
> Add interconnect support for msm8974-based SoCs in order to support the
> GPU on this platform.
> 
> Signed-off-by: Brian Masney <[email-masked]>
> ---
> Changes since v1:
> - Set CONFIG_INTERCONNECT=y since its now a bool instead of a tristate
> 
>  arch/arm/configs/qcom_defconfig | 3 +++
>  1 file changed, 3 insertions(+)
> 
> diff --git a/arch/arm/configs/qcom_defconfig b/arch/arm/configs/qcom_defconfig
> index 9792dd0aae0c..cbe4e1d86f9a 100644
> --- a/arch/arm/configs/qcom_defconfig
> +++ b/arch/arm/configs/qcom_defconfig
> @@ -252,6 +252,9 @@ CONFIG_PHY_QCOM_IPQ806X_SATA=y
>  CONFIG_PHY_QCOM_USB_HS=y
>  CONFIG_PHY_QCOM_USB_HSIC=y
>  CONFIG_QCOM_QFPROM=y
> +CONFIG_INTERCONNECT=y
> +CONFIG_INTERCONNECT_QCOM=y
> +CONFIG_INTERCONNECT_QCOM_MSM8974=m
>  CONFIG_EXT2_FS=y
>  CONFIG_EXT2_FS_XATTR=y
>  CONFIG_EXT3_FS=y

Georgi: Since Greg wants to allow compiling the interconnect support as
a module [1], should I change CONFIG_INTERCONNECT to be a module? Or
leave this as is? The GPU works fine with interconnect as a module on my
phone. I know it's more for the cpufreq case.

[1] https://lore.kernel.org/lkml/[email-masked]/

Andy/Bjorn: This series didn't get picked up for this upcoming merge
window. If it's too late for this window (which is fine), then I'll
hold off on resubmitting this until rc4 since I'll most likely have
more device tree changes by then.

Brian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel